Package org.apache.sysds.hops.fedplanner

## Enum FTypes.AlignType

- java.lang.Object
- - java.lang.Enum<FTypes.AlignType>
  - - org.apache.sysds.hops.fedplanner.FTypes.AlignType

- All Implemented Interfaces:
    `Serializable`, `Comparable<FTypes.AlignType>`
  Enclosing class:
    FTypes

      public static enum FTypes.AlignType
      extends Enum<FTypes.AlignType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COL` |
    `COL_T` |
    `FULL` |
    `FULL_T` |
    `ROW` |
    `ROW_T` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isColType()` |
    `boolean` | `isFullType()` |
    `boolean` | `isRowType()` |
    `boolean` | `isTransposed()` |
    `static FTypes.AlignType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static FTypes.AlignType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FULL

          public static final FTypes.AlignType FULL

    - #### ROW

          public static final FTypes.AlignType ROW

    - #### COL

          public static final FTypes.AlignType COL

    - #### FULL_T

          public static final FTypes.AlignType FULL_T

    - #### ROW_T

          public static final FTypes.AlignType ROW_T

    - #### COL_T

          public static final FTypes.AlignType COL_T

  - ### Method Detail

    - #### values

          public static FTypes.AlignType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FTypes.AlignType c : FTypes.AlignType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FTypes.AlignType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isTransposed

          public boolean isTransposed()

    - #### isFullType

          public boolean isFullType()

    - #### isRowType

          public boolean isRowType()

    - #### isColType

          public boolean isColType()